### TechNote

Number:06101-04
Date:November 1994

## SMARTIPX parameters

The Madge Smart LAN Support Software provides network protocol functions for Madge Smart Ringnodes. This document describes the command-line parameters for one of the programs in the Madge Smart LAN Support Software, SMARTIPX. It refers to SMARTIPX version 3.31.

You can run SMARTIPX.EXE from AUTOEXEC.BAT or CONFIG.SYS. However, we recommend that you run SMARTIPX.EXE from CONFIG.SYS if possible.

The complete syntax of the SMARTIPX command line is:

`SMARTIPX [LLC] [NETB] [NOIPX] [PC3270] [<<adapter 0 parameters>>] [,<<adapter 1 parameters>>]` where <<adapter 0 parameters> and <<adapter 1 parameters> represent sets of parameters that you may specify separately for each of two Ringnodes. Use a comma to separate the parameters for adapter 0 from those for adapter 1. The syntax for each set of parameters is:

`[<node>] [<parameters>]`

Optional items are shown here enclosed in square brackets: do not include the brackets when you type an optional item in a command line. The options are listed after the following example of a SMARTIPX command line:

`SMARTIPX LLC IO=A20 40001111222 SO=40 SR=Y, IO=1A20 40001111333 SO=40 SR=Y`

The following are options for the SMARTIPX command line:

LLC
  If you are running other programs which use the IBM-compatible LLC interface, use this option. Examples of such programs are:

  - IBM Personal Communications 3270
  - IBM 3270 Emulation Program
  - AS/400 PC Support Program
  - System 36 PC Support Program
  - MNETBIOS.EXE

NETB
  This option enables an IBM-compatible Netbios interface.

  When you specify this option, all the optional parameters for the Madge Netbios interface may be specified. Only the Smart EISA and MC32 Ringnodes support IPX, LLC, and NETB options simultaneously. When you specify the NETB option for a Ringnode with 128Kbyte of memory, the default values of some of the other parameters are reduced. This accomodates multiple protocols in the available memory space.

  The following table illustrates how the default values of some parameters are reduced when you specifiy the NETB option for a Ringnode with 128Kbytes of memory:

      Parameter            Normal    Default when
                           default   you specify
                           value     NETB option

      C (COMMANDS)            32            10
      CO (CONNECTIONS)        32             3
      FS (FRAME SIZE)       4096          1024
      N (NAMES)               17             7
      S (SESSIONS)            32             4
      SO (SOCKETS)            32            16
      ST (STATIONS)           32             4

  Combining protocols affects the default frame size and memory available on the Ringnode. For more information, refer to the "Using the SMARTIPX driver" information file in the INFO utility. The frame size is normally 4Kbytes. When you use an IPX and a Netbios interface, the frame size is only 1Kbyte. The defaults for SMARTIPX with the NETB option are sufficient to allow a Ringnode to boot onto a Novell server (using Smartboot II or booting normally), login, and start up a connection to a PC LAN or LAN Manager server. If you require more resources, use SMARTLSP.EXE.

NOIPX
  This option disables the IPX interface. If you do not require Novell support, use NOIPX. However, in such circumstances, consider using the Smart LAN Support Program (SMARTLSP.EXE) instead.

LOMEM
  You require this option when using Smart Ringnodes running in DMA mode with certain software or hardware, which remaps memory. Examples of software that require this option are:

  - Microsoft Windows 386

  - Virtual 386 mode applications

  - Extended and expanded memory managers

  For further information, refer to the "Using the SMARTIPX driver" information file in the INFO utility.

PC3270
  This option is required when you use the IBM Personal Communications 3270 program version 1.00. Do not use this option with any other version of the IBM Personal Communications 3270 program. Also, give the LLC option.

<node>
  This option specifies the node address that the Ringnode will use. This is known as a locally administered address. It must be a hexadecimal number in the range 400000000000 to 7FFFFFFFFFFF. If you omit this option, the Ringnode uses its burnt-in unique address. Each Ringnode must have a different node address for the network to function correctly. If you want to make this number easier to read, include spaces in this parameter to divide up the digits. A sample node address is:

  4000 1234 5678

PIO
  This option disables bus-master DMA mode on the card, and uses Programmed IO instead. This avoids the problem of having memory managers loaded, but without the extra memory usage of LOMEM. Note that the Smart LAN Support Programs detect the presence of some of these programs and enable the LOMEM or PIO option automatically.

WIN
  This option specifies that you are using Microsoft Windows 3.0 or 3.1. Specify the version you are using as '30' or '31'. For example, WIN=31.

<parameters>
  There are other optional parameters. The format of a parameter is:

  <parameters>=<value>

  Specify each parameter in either an abbreviated form or, to improve readability, a long form. For example, to specify five SAPs, the parameter reads either:

  SA=5 (abbreviated form)

  or:

  SAPS=5 (long form)

  The valid parameters are:

      AT              range:     0 - 65000
      ABORT.TIMEOUT   default:   540

  This is the number of 55-millisecond intervals SPX waits for a response from a remote node before it assumes that the remote node has terminated the connection. In a busy network, or where the connection crosses one or more bridges, you may need to increase this value.

      CO              range:     0 - 255
      CONNECTIONS     default:   32

  This is the maximum number of SPX connections that are active at any one time. SMARTIPX uses at least one connection internally for diagnostic purposes.

      DEF
      DEFAULT.BROADCAST

  This is only available when you enable source routing. If you include this parameter in the command line, all broadcasts to unknown addresses are sent as single-route broadcasts. If you do not include this parameter, all broadcasts to unknown addresses are sent as all-routes broadcasts.

      ES              range:     0 - 127
      EXTRA.SAPS      default:   3

  This specifies the number of extra SAPs that are added to the SAPS parameter, which is specified later in this document, to obtain the total number of SAPs available. Make sure the total of the SAPS and EXTRA.SAPS parameters is not greater than 128.

      EST             range:     0 - 254
      EXTRA.STATIONS  default:   3

  The total of this parameter and the STATIONS parameter specifies how many LLC class 2 links are supported if you enabled the LLC interface. If you enable the Netbios interface, Netbios uses the links specified by STATIONS, leaving those specified by EXTRA.STATIONS for other LLC applications. If you disable the Netbios interface, the links specified by either parameter are available to other LLC applications. The IPX interface does not use any LLC links. Make sure the total of the STATIONS and EXTRA.STATIONS parameters is not greater than 255.

      FS              range:     200 - 17960
      FRAME.SIZE      default:   4096

  This specifies the maximum size frame that the IPX interface transmits. NetWare allows a maxmum frame size of 4096. The actual default value of this parameter depends on what combination of interfaces you enabled. For more information, refer to the "Using the SMARTIPX driver" information file in the INFO utility.

      GBR
      GENERAL.BROADCAST

  This is only available when you enable source routing. If you include this parameter in the command line, all general broadcasts are sent as single-route broadcasts. If you do not include this parameter, all general broadcasts are sent as all-route broadcasts.

      IO              range:     A20...
      IO.LOCATION     default:   lowest IO location

  This specifies a particular I/O location in which the Smart Software looks for an adapter. If you specify this option, the software only looks at the specified location for the adapter. This is useful if you have more than one adapter installed and you wish to restrict the software to a single adapter. The values you are allowed to specify for this option depend on the type of Ringnode. For more information, see "Using the SMARTLSP and SMARTIPX drivers" information file in the INFO utility.

      LT              range:     0 - 65000
      LISTEN.TIMEOUT  default:   108

  This is the number of 55-millisecond intervals for which SPX waits, without receiving a frame on a connection, before it demands a response from the remote machine.

      MBR
      MULTICAST.BROADCAST

  This is only available when you enable source routing. If you include this parameter in the command line, all multicast broadcasts are sent as single-route broadcasts. If you do not include this parameter, all multicast broadcasts are sent as all-route broadcasts.

      NODES           range:     8 -255
      NODES           default:   8

  This is only available when you enable source routing. This parameter defines the size of the source-routing table that SMARTIPX maintains.

      RT              range:     0 - 65000
      RETRY.TIME      default:   100

  This specifies the time (in units of 10 milliseconds) between successive SPX retry attempts. Increase this value when you use SPX links over slow Wide-Area Networks.

      RX              range:     100 - 17960
      RX.SIZE         default:   2130

  This specifies the maximum size of LLC frame that can be received. This only applies if you have specified the LLC option.

      SA              range:     0 - 127
      SAPS            default:   2

  This specifies the number of LLC SAPs that are available. This only applies if you have specified the LLC option. If you enable the IPX interface, it uses one SAP.

      SO              range:     0 - 255
      SOCKETS         default:   32

  This specifies the maximum number of sockets that can be active at any one time with SMARTIPX. SMARTIPX uses four sockets internally for purposes of routing and diagnostics.

      SR              range:     Y or N
      SOURCE.ROUTING  default:   N

  This instructs the software to use source routing in all its IPX protocols. Do not use this parameter unless you enable source routing for all the servers you are using. This parameter is used instead of Novell's ROUTE.COM program.

  If you enable source routing, four additional parameters are available: NODES, DEFAULT.BROADCAST (DEF), GENERAL.BROADCAST (GBR) and MULTICAST.BROADCAST (MBR).

      ST              range:     0 - 254
      STATIONS        default:   32

  The total of this parameter and the EXTRA.STATIONS parameter specifies how many LLC class 2 links are supported if you enabled the LLC interface. If you enable the Netbios interface, Netbios uses the links specified by STATIONS, leaving those specified by EXTRA.STATIONS for other LLC applications. If you disable the Netbios interface, the links specified by either parameter are available to other LLC applications. The IPX interface does not use any LLC links. Make sure the total of the STATIONS and EXTRA.STATIONS parameters is not greater than 255.

      VT              range:     0 - 65000
      VERIFY.TIMEOUT  default:   54

  This is the number of 55-millisecond intervals that SPX provides before sending a frame down a connection to keep the connection open.